Skip to content
Browse files

Include links for more information on Bundler conventions

* Links to bundler blog post for each type of version requirement
  • Loading branch information...
1 parent b1cf8d9 commit 95a76b78ff6fa5bf07ba4ca908a5224d66787ace @jferris jferris committed Nov 14, 2012
Showing with 7 additions and 4 deletions.
  1. +7 −4 best-practices/README.md
View
11 best-practices/README.md
@@ -48,11 +48,14 @@ Bundler
* Use the project's Gemfile to specify the
[Ruby version](http://gembundler.com/man/gemfile.5.html#RUBY-ruby-)
-* Use an exact version in the `Gemfile` for fragile gems, such as Rails.
-* Use a pessimistic version in the 'Gemfile' for gems that follow semantic
+* Use an [exact version](http://robots.thoughtbot.com/post/35717411108/a-healthy-bundle#exact-version)
+ in the `Gemfile` for fragile gems, such as Rails.
+* Use a [pessimistic version](http://robots.thoughtbot.com/post/35717411108/a-healthy-bundle#pessimistic-version)
+ in the 'Gemfile' for gems that follow semantic
versioning, such as rspec, factory_girl, and capybara.
-* Use versionless `Gemfile` declarations for gems that are safe to update
- often, such as pg, thin, and debugger.
+* Use [versionless](http://robots.thoughtbot.com/post/35717411108/a-healthy-bundle#versionless)
+ `Gemfile` declarations for gems that are safe to update often, such as pg,
+ thin, and debugger.
Postgres
--------

0 comments on commit 95a76b7

Please sign in to comment.
Something went wrong with that request. Please try again.